Bug 94412 - Trine 3 misrender
Summary: Trine 3 misrender
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-06 10:34 UTC by xbx
Modified: 2016-03-22 04:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
wrong render screenshot (302.28 KB, image/jpeg)
2016-03-06 10:34 UTC, xbx
Details
proposed fix (1.58 KB, patch)
2016-03-06 10:38 UTC, xbx
Details | Splinter Review
screenshot after applying patch (287.69 KB, image/jpeg)
2016-03-06 10:39 UTC, xbx
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xbx 2016-03-06 10:34:27 UTC
Created attachment 122126 [details]
wrong render screenshot

Pink colors in bright areas, instead of white.
(appears as soon as the main menu)
Comment 1 xbx 2016-03-06 10:38:32 UTC
Created attachment 122127 [details] [review]
proposed fix
Comment 2 xbx 2016-03-06 10:39:35 UTC
Created attachment 122128 [details]
screenshot after applying patch
Comment 3 Michel Dänzer 2016-03-07 02:29:07 UTC
Please submit the patch to the mesa-dev mailing list for review, adding

 Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=94412

to the Git commit log.
Comment 4 Niklas 'Nille' Åkerström 2016-03-21 20:29:28 UTC
I tested this patch and it does fix the missrender.
It should be posted to mesa-dev mailing list for review.
Comment 5 Nicolai Hähnle 2016-03-22 04:27:51 UTC
The patch has already been committed to Mesa master as fce0b55ccbc33d320b9734a53c2a9f7886450c73


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.